# $Revision: 1.9 $, $Date: 2002/07/21 18:56:23 $
%include	/usr/lib/rpm/macros.php
%define		_class		HTML
%define		_subclass	Table
%define		_pearname	%{_class}_%{_subclass}
Summary:	%{_class}_%{_subclass} - makes the design of HTML tables easy, flexible, reusable and efficient
Summary(pl):	%{_class}_%{_subclass} - czyni tworzenie tabel HTML atwym, elastycznym, efektywnym
Name:		php-pear-%{_pearname}
Version:	1.1
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
URL:		http://pear.php.net/
BuildRequires:	rpm-php-pearprov
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The PEAR::HTML_Table package provides methods for easy and efficient
design of HTML tables.
- Lots of customization options.
- Tables can be modified at any time.
- The logic is the same as standard HTML editors.
- Handles col and rowspans.
- PHP code is shorter, easier to read and to maintain.
- Tables options can be reused.

%description -l pl
Klasa PEAR::HTML_Table dostarcza metody do atwego i efektywnego
tworzenia tabel HTML.
- wiele opcji dostosowawczych.
- tabele mog by modyfikowane w kadym momencie.
- logika jest taka sama jak w standardowych edytorach HTML-a.
- obsuga atrybutw col i rowspans.
- kod PHP jest krtszy, atwiejszy do czytania i konserwacji.
- opcje tabel mog by ponownie uywane.

%prep
%setup -q -c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}

install %{_pearname}-%{version}/*.php $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{php_pear_dir}/%{_class}/*.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: php-pear-HTML_Table.spec,v $
Revision 1.9  2002/07/21 18:56:23  blues
- 1.1 (more features)
STBR

Revision 1.8  2002/07/12 23:39:11  blues
- release 3 (rebuild with new rpm)

Revision 1.7  2002/07/03 23:53:06  kloczek
- release 2.

Revision 1.6  2002/07/02 10:23:28  blues
- req. php-pear

Revision 1.5  2002/06/30 20:42:58  ankry
- typo

Revision 1.4  2002/06/30 19:43:12  kloczek
- simplifications in %install.

Revision 1.3  2002/06/30 12:25:14  qboosh
- better pl

Revision 1.2  2002/06/29 14:32:44  blues
- translation

Revision 1.1  2002/06/25 12:11:27  blues
- initial
